=== modified file 'Makefile.am'
--- Makefile.am	2010-10-12 17:57:08 +0000
+++ Makefile.am	2010-10-14 01:10:46 +0000
@@ -30,6 +30,8 @@
 man_MANS =
 bin_PROGRAMS =
 
+VERSION=$(PANDORA_RELEASE_VERSION)
+
 SUBDIRS = .
 if BUILD_PO
 SUBDIRS += po
@@ -120,6 +122,8 @@
 	  echo '#define PKGLIBDIR "$(pkglibdir)"'; \
 	  echo '#define PKGLIBEXECDIR "$(pkglibexecdir)"'; \
 	  echo '#define PKGPLUGINDIR "$(pkgplugindir)"'; \
+          echo '#undef VERSION'; \
+          echo '#define VERSION "${PANDORA_RELEASE_VERSION}"'; \
 	} | sed '/""/d' > $@-t
 	@if diff $@-t $@ >/dev/null 2>&1 ; then \
 	  rm @-t ; \

=== modified file 'configure.ac'
--- configure.ac	2010-10-12 17:57:08 +0000
+++ configure.ac	2010-10-14 01:10:46 +0000
@@ -20,11 +20,11 @@
 AC_PREREQ(2.59)dnl		Minimum Autoconf version required.
 dnl Version from the AC_INIT call below is overridden later
 dnl So don't update it here
-AC_INIT([drizzle7],[2010.10.01pre],[http://bugs.launchpad.net/drizzle])
+AC_INIT([drizzle7],[7],[http://bugs.launchpad.net/drizzle])
 AC_CONFIG_SRCDIR([drizzled/drizzled.cc])
 AC_CONFIG_AUX_DIR([config])
 
-PANDORA_CANONICAL_TARGET(less-warnings, warnings-always-on, require-cxx, force-gcc42, skip-visibility)
+PANDORA_CANONICAL_TARGET(less-warnings, warnings-always-on, require-cxx, force-gcc42, version-from-vc, skip-visibility)
 
 LIBDRIZZLE_LIBRARY_VERSION=0:8:0
 #                          | | |

